
Summary: PPAPI-host NPAPI-plugin adapter
Name: fresh-player-plugin
Version: 0.3.4
Release: %mkrel 1
#Source0: freshplayerplugin-master.zip
Source0: freshplayerplugin-%version.tar.xz
License: MIT
Group: Networking/WWW
Url: https://github.com/i-rinat/freshplayerplugin
BuildRequires: cmake
BuildRequires: ragel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}config-devel
BuildRequires: %{_lib}event-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: mesa-devel
Requires: chromium-pepper-flash
Obsoletes: freshplayerplugin
Provides: freshplayerplugin = %version-%release

%description
The main goal of this project is to get PPAPI (Pepper) Flash player
working in Firefox. It implements an adapter that looks like a browser
to a PPAPI plugin and looks like an NPAPI plugin to the browser. Note
that this particular implementation does not implement any sandbox.

This package expects Google Chrome (or at least its Pepper Flash plugin)
to be installed in the standard location.

%prep
%setup -qnfreshplayerplugin-%version
#%setup -qn freshplayerplugin-master
%apply_patches

%build
%cmake
%make

%install
rm -rf %buildroot
mkdir -p %{buildroot}/usr/lib/mozilla/plugins
install build/libfreshwrapper-flashplayer.so %{buildroot}/usr/lib/mozilla/plugins/

%files
%doc data/freshwrapper.conf.example
/usr/lib/mozilla/plugins/libfreshwrapper-flashplayer.so


%changelog
* Thu Feb 11 2016 bb <bb> 0.3.4-1pclos2016
- update from git

* Tue Dec 15 2015 bb <bb> 0.3.3-1pclos2015
- update from git

* Wed Aug 19 2015 bb <bb> 0.3.2-1pclos2015
- update

* Tue Aug 11 2015 bb <bb> 0.3.1-4pclos2015
- update from git

